Messenger users will need to upgrade to WLM 9 as of Sept. 15

Back in August, the Windows Live Messenger team blog posted an announcement regarding a mandatory upgrade to version 14.0.8089, due to security issues.  Beginning on August 25th, Messenger users on 8.1 or 8.5 were reminded to upgrade, but as of tomorrow, according to Jonathon Kay’s MessengerGeek blog, users who haven’t heeded the warnings will be forced to upgrade before they can log on.

In what Jonathon thinks is less than a coincidence, Messenger experienced trouble sending messages today, but as of around 3pm pst the service was back up running normally.

(edited to fix Jonathon’s blog name, oops)